Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.shader
Interface RTShader

    public interface RTShader

Nested Class Summary
`static class` | `RTShader.TransparencyInput`
`static class` | `RTShader.TransparencyInput_Double`

Field Summary
`static float` | `LAMBERTIAN_VARIANCE`

Method Summary
`float` | `computeBSDF(ShadingEnvironment env, Vector3f in, Vector3f out, boolean adjoint, Color3f bsdf)`
`void` | `computeMaxRays(ShadingEnvironment env, Ray reflectedRay, Vector3f reflectedVariance, Ray refractedRay, Vector3f refractedVariance)`
`void` | `generateRandomRay(ShadingEnvironment env, Ray randomRay)`
`void` | `generateRandomRays(ShadingEnvironment env, RayList randomRays)`
`void` | `generateRandomRays(ShadingEnvironment env, Vector3f out, RayList rays, boolean adjoint, int seed)`
`int` | `getShaderFlags()`
`void` | `getShadingColor(ShadingEnvironment env, Color3f color)`
`float` | `getshadingColorByComputeBSDF(ShadingEnvironment env, Vector3f in, boolean adjoint, Color3f bsdf)`
`boolean` | `isTransparent()`
`boolean` | `isTransparent(RTShader.TransparencyInput in)`

Field Detail

### LAMBERTIAN_VARIANCE

    static final float LAMBERTIAN_VARIANCE

See Also:
  Constant Field Values

Method Detail

### computeBSDF

    float computeBSDF(ShadingEnvironment env,
                      Vector3f in,
                      Vector3f out,
                      boolean adjoint,
                      Color3f bsdf)

### computeMaxRays

    void computeMaxRays(ShadingEnvironment env,
                        Ray reflectedRay,
                        Vector3f reflectedVariance,
                        Ray refractedRay,
                        Vector3f refractedVariance)

### generateRandomRay

    void generateRandomRay(ShadingEnvironment env,
                           Ray randomRay)

### generateRandomRays

    void generateRandomRays(ShadingEnvironment env,
                            RayList randomRays)

### generateRandomRays

    void generateRandomRays(ShadingEnvironment env,
                            Vector3f out,
                            RayList rays,
                            boolean adjoint,
                            int seed)

### getShaderFlags

    int getShaderFlags()

### getShadingColor

    void getShadingColor(ShadingEnvironment env,
                         Color3f color)

### getshadingColorByComputeBSDF

    float getshadingColorByComputeBSDF(ShadingEnvironment env,
                                       Vector3f in,
                                       boolean adjoint,
                                       Color3f bsdf)

### isTransparent

    boolean isTransparent()

### isTransparent

    boolean isTransparent(RTShader.TransparencyInput in)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD